Method: accounts.projects.create

Creates a project. Note: This call can take up to 1 minute to complete depending on the number of ad entities provided in the project.

HTTP request

POST https://mmmdata.googleapis.com/v0/{parent=accounts/*}/projects

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent who owns this project. Format: accounts/{account}

Query parameters

Parameters
projectId

string

Optional. The user-specified ID of the project to create. Format should be a UUID. If not provided, a new UUID will be generated.

Request body

The request body contains an instance of Project.

Response body

If successful, the response body contains a newly created instance of Project.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/mmm_data

For more information, see the OAuth 2.0 Overview.